# Method: domainAliases.list

Lists the domain aliases of the customer.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customer}/domainaliases`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` The unique ID for the customer's Google Workspace account. In case of a multi-domain account, to fetch all groups for a customer, use this field instead of `domain`. You can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users](https://developers.google.com/workspace/admin/directory/v1/reference/users) resource. You must provide either the `customer` or the `domain` parameter. |

### Query parameters

| Parameters ||
|---|---|
| `parentDomainName` | `string` Name of the parent domain for which domain aliases are to be fetched. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "domainAliases": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/domainAliases#DomainAlias`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Kind of resource this is. |
| `etag` | `string` ETag of the resource. |
| `domainAliases[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/domainAliases#DomainAlias`)`` A list of domain alias objects. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.domain`
- `
  https://www.googleapis.com/auth/admin.directory.domain.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).